---
title: "Updates Supplier Invoice"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-supplierinvoices-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates Supplier Invoice

`PUT` `/supplierinvoices/{id}`

Operation ID: `put-supplierinvoices-id`

Sample request: PUT /supplierinvoices/1 { "supplier_invoice_number": "1235", "supplier_invoiced_on": "2022-01-01", "status": "Finalised", "notes": "notes", "distribute_costs_by": "Weight", "international_order": true, "landed_costs_calculation": "Currency Conversion", "origin_country": { "id": 2 }, "currency_conversion": 1.14, "rounding_adjustment": 1.5 }

## Path parameters

- `id` (integer, int32, required) - Supplier Invoice id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Supplier Invoice updated
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /supplierinvoices/{id}:
    put:
      tags:
        - supplierinvoices
      summary: Updates Supplier Invoice
      description: "Sample request:\r

        \            \r

        \    PUT /supplierinvoices/1\r

        \    {\r

        \        \"supplier_invoice_number\": \"1235\",\r

        \        \"supplier_invoiced_on\": \"2022-01-01\",\r

        \        \"status\": \"Finalised\",\r

        \        \"notes\": \"notes\",\r

        \        \"distribute_costs_by\": \"Weight\",\r

        \        \"international_order\": true,\r

        \        \"landed_costs_calculation\": \"Currency Conversion\",\r

        \        \"origin_country\": {\r

        \            \"id\": 2\r

        \        },\r

        \        \"currency_conversion\": 1.14,\r

        \        \"rounding_adjustment\": 1.5\r

        \    }"
      operationId: put-supplierinvoices-id
      parameters:
        - name: id
          in: path
          description: Supplier Invoice id
          required: true
          schema:
            type: integer
            description: Supplier Invoice id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Supplier Invoice model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Supplier Invoice updated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierInvoice"
              example:
                id: 0
                supplier_invoice_number: string
                status: string
                notes: string
                international_order: true
                landed_costs_calculation: Manual
                currency_conversion: 0
                rounding_adjustment: 0
                origin_country:
                  id: 0
                  name: string
                distribute_costs_by: string
                direct_costs:
                  applied_on: string
                  apply_pending: true
                  freight:
                    total_ex: 0
                    includes_tax: true
                    total_tax: 0
                    total_inc: 0
                  duty:
                    total_ex: 0
                    includes_tax: true
                    total_tax: 0
                    total_inc: 0
                  misc:
                    total_ex: 0
                    includes_tax: true
                    total_tax: 0
                    total_inc: 0
                purchase_order_receipts:
                  - id: 0
                    purchase_order_id: 0
                    purchase_order_receipt_items:
                      - purchase_order_item_id: 0
                        buy_price_ex: 0
                        supplier_buy_ex: 0
                        quantity_received: 0
                        quantity_faulty: 0
                        quantity_invoiced: 0
                        bin: string
                        include_tax: true
                        notes: string
                total_buy_price_ex: 0
                total_tax: 0
                total_buy_price_inc: 0
                total_applied_buy_price_ex: 0
                created_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_on: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                finalised_on: string
                finalised_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                supplier_invoiced_on: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierInvoice:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id
          format: int32
        supplier_invoice_number:
          type: string
          description: Supplier Invoice Number
          nullable: true
        status:
          type: string
          description: Supplier Invoice status
          nullable: true
        notes:
          type: string
          description: Supplier Invoice notes
          nullable: true
        international_order:
          type: boolean
          description: Is International Order
        landed_costs_calculation:
          $ref: "#/components/schemas/LandedCostsCalculation"
        currency_conversion:
          type: number
          description: Currency multiplier
          format: double
          nullable: true
        rounding_adjustment:
          type: number
          description: Rounding Adjustment
          format: double
        origin_country:
          $ref: "#/components/schemas/CountryLimited"
        distribute_costs_by:
          type: string
          description: Distribute costs by
          nullable: true
        direct_costs:
          $ref: "#/components/schemas/DirectCosts"
        purchase_order_receipts:
          type: array
          items:
            $ref: "#/components/schemas/SupplierInvoicePurchaseOrderReceipt"
          description: Purchase Order Receipts
          nullable: true
        total_buy_price_ex:
          type: number
          description: Total buy price ex
          format: double
        total_tax:
          type: number
          description: Total tax
          format: double
          nullable: true
        total_buy_price_inc:
          type: number
          description: Total buy price inc
          format: double
          nullable: true
        total_applied_buy_price_ex:
          type: number
          description: Total applied buy price ex
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        modified_by:
          $ref: "#/components/schemas/UserExtended"
        finalised_on:
          type: string
          description: Finalised on
          format: date-time
          nullable: true
        finalised_by:
          $ref: "#/components/schemas/UserExtended"
        supplier_invoiced_on:
          type: string
          description: Supplier Invoiced On
          format: date-time
          nullable: true
      additionalProperties: false
      description: Suplier Invoice Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    LandedCostsCalculation:
      title: ""
      enum:
        - Manual
        - Currency Conversion
      type: string
    CountryLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int32
          nullable: true
        name:
          type: string
          description: name
          nullable: true
      additionalProperties: false
    DirectCosts:
      title: ""
      type: object
      properties:
        applied_on:
          type: string
          description: DirectCosts AppliedOn
          format: date-time
          nullable: true
        apply_pending:
          type: boolean
          description: Is DirectCosts Apply Pending
        freight:
          $ref: "#/components/schemas/DirectCostsItem"
        duty:
          $ref: "#/components/schemas/DirectCostsItem"
        misc:
          $ref: "#/components/schemas/DirectCostsItem"
      additionalProperties: false
      description: Direct costs model
    SupplierInvoicePurchaseOrderReceipt:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: PurchaseOrderReceipt Id
          format: int32
          nullable: true
        purchase_order_id:
          type: integer
          description: Purchase order identifier
          format: int32
          nullable: true
        purchase_order_receipt_items:
          type: array
          items:
            $ref: "#/components/schemas/SupplierInvoicePurchaseOrderReceiptItem"
          description: Purchase order receipts items
          nullable: true
      additionalProperties: false
      description: Supplier Invoice Purchase Order Receipt Model
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    DirectCostsItem:
      title: ""
      type: object
      properties:
        total_ex:
          type: number
          description: Total ex
          format: double
        includes_tax:
          type: boolean
          description: Includes tax
          nullable: true
        total_tax:
          type: number
          description: Total tax
          format: double
        total_inc:
          type: number
          description: Total inc
          format: double
      additionalProperties: false
      description: Direct Costs Item model
    SupplierInvoicePurchaseOrderReceiptItem:
      title: ""
      type: object
      properties:
        purchase_order_item_id:
          type: integer
          description: Purchase order item identifier
          format: int32
          nullable: true
        buy_price_ex:
          type: number
          description: Buy price ex
          format: double
          nullable: true
        supplier_buy_ex:
          type: number
          description: Supplier buy ex
          format: double
          nullable: true
        quantity_received:
          type: integer
          description: Quantity received
          format: int32
        quantity_faulty:
          type: integer
          description: Quantity faulty
          format: int32
        quantity_invoiced:
          type: integer
          description: Quantity invoiced
          format: int32
          nullable: true
        bin:
          type: string
          description: Bin
          nullable: true
        include_tax:
          type: boolean
          description: Include tax
          nullable: true
        notes:
          type: string
          description: Notes
          nullable: true
      additionalProperties: false
      description: Purchase order receipt item
```
